Irrlicht Engine: irr::core::list< T >::ConstIterator Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::list< T >::ConstIterator Class Reference

List iterator for const access. More...

`#include <irrList.h>`

List of all members.

## Public Member Functions
| ConstIterator (const Iterator &iter)
| ConstIterator ()
bool | operator!= (const Iterator &other) const
bool | operator!= (const ConstIterator &other) const
const T & | operator* ()
ConstIterator | operator+ (s32 num) const
ConstIterator | operator++ (s32)
ConstIterator & | operator++ ()
ConstIterator & | operator+= (s32 num)
ConstIterator | operator- (s32 num) const
ConstIterator | operator-- (s32)
ConstIterator & | operator-- ()
ConstIterator & | operator-= (s32 num) const
const T * | operator-> ()
ConstIterator & | operator= (const Iterator &iterator)
bool | operator== (const Iterator &other) const
bool | operator== (const ConstIterator &other) const
## Friends
class | Iterator
class | list< T >

## Detailed Description

### template<class T>
class irr::core::list< T >::ConstIterator

List iterator for const access.

Definition at line 87 of file irrList.h.

## Constructor & Destructor Documentation

template<class T>

irr::core::list< T >::ConstIterator::ConstIterator | ( |  | ) | `[inline]`

Definition at line 91 of file irrList.h.

template<class T>

irr::core::list< T >::ConstIterator::ConstIterator | ( | const Iterator & | iter | ) | `[inline]`

Definition at line 92 of file irrList.h.

## Member Function Documentation

template<class T>

bool irr::core::list< T >::ConstIterator::operator!= | ( | const Iterator & | other | ) | const`[inline]`

Definition at line 119 of file irrList.h.

template<class T>

bool irr::core::list< T >::ConstIterator::operator!= | ( | const ConstIterator & | other | ) | const`[inline]`

Definition at line 117 of file irrList.h.

template<class T>

const T& irr::core::list< T >::ConstIterator::operator* | ( |  | ) | `[inline]`

Definition at line 121 of file irrList.h.

template<class T>

ConstIterator irr::core::list< T >::ConstIterator::operator+ | ( | s32 | num | ) | const`[inline]`

Definition at line 112 of file irrList.h.

template<class T>

ConstIterator irr::core::list< T >::ConstIterator::operator++ | ( | s32 |  | ) | `[inline]`

Definition at line 96 of file irrList.h.

template<class T>

ConstIterator& irr::core::list< T >::ConstIterator::operator++ | ( |  | ) | `[inline]`

Definition at line 94 of file irrList.h.

template<class T>

ConstIterator& irr::core::list< T >::ConstIterator::operator+= | ( | s32 | num | ) | `[inline]`

Definition at line 99 of file irrList.h.

template<class T>

ConstIterator irr::core::list< T >::ConstIterator::operator- | ( | s32 | num | ) | const`[inline]`

Definition at line 114 of file irrList.h.

template<class T>

ConstIterator irr::core::list< T >::ConstIterator::operator-- | ( | s32 |  | ) | `[inline]`

Definition at line 97 of file irrList.h.

template<class T>

ConstIterator& irr::core::list< T >::ConstIterator::operator-- | ( |  | ) | `[inline]`

Definition at line 95 of file irrList.h.

template<class T>

ConstIterator& irr::core::list< T >::ConstIterator::operator-= | ( | s32 | num | ) | const`[inline]`

Definition at line 113 of file irrList.h.

template<class T>

const T* irr::core::list< T >::ConstIterator::operator-> | ( |  | ) | `[inline]`

Definition at line 122 of file irrList.h.

template<class T>

ConstIterator& irr::core::list< T >::ConstIterator::operator= | ( | const Iterator & | iterator | ) | `[inline]`

Definition at line 124 of file irrList.h.

template<class T>

bool irr::core::list< T >::ConstIterator::operator== | ( | const Iterator & | other | ) | const`[inline]`

Definition at line 118 of file irrList.h.

template<class T>

bool irr::core::list< T >::ConstIterator::operator== | ( | const ConstIterator & | other | ) | const`[inline]`

Definition at line 116 of file irrList.h.

## Friends And Related Function Documentation

template<class T>

friend class Iterator`[friend]`

Definition at line 131 of file irrList.h.

template<class T>

friend class list< T >`[friend]`

Definition at line 132 of file irrList.h.

The documentation for this class was generated from the following file:

- irrList.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)